(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7321,        204]
NotebookOptionsPosition[      6776,        183]
NotebookOutlinePosition[      7308,        202]
CellTagsIndexPosition[      7265,        199]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
  RowBox[{"rll", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Green", ",", 
       RowBox[{"Polygon", "[", "rll", "]"}], ",", "Blue", ",", 
       RowBox[{"GeometricTransformation", "[", 
        RowBox[{
         RowBox[{"Polygon", "[", "rll", "]"}], ",", 
         RowBox[{"RotationTransform", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "theta"}], " ", "Degree"}], ",", "p"}], "]"}]}], 
        "]"}], ",", "\[IndentingNewLine]", "Red", ",", "\[IndentingNewLine]", 
       
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "p"}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", "Red", ",", "\[IndentingNewLine]", 
       RowBox[{"GeometricTransformation", "[", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "p"}], "}"}], "]"}], ",", 
         " ", 
         RowBox[{"RotationTransform", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "theta"}], " ", "Degree"}], ",", "p"}], "]"}]}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Axes", "\[Rule]", "True"}], ","}], "*)"}], " ", 
     "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}]}], "\[IndentingNewLine]", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"theta", ",", "0", ",", "360", ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.604363259911824*^9, 3.6043632682476597`*^9}, {
   3.604405281636496*^9, 3.604405282961792*^9}, 3.604405623305293*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {0, 0}, $CellContext`theta$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`theta$$], 0, 360, 5}, {{
       Hold[$CellContext`p$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    505., {243., 253.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`theta$70633$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p$$ = {0, 0}, $CellContext`theta$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`theta$$, $CellContext`theta$70633$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Green, 
         Polygon[$CellContext`rll], Blue, 
         GeometricTransformation[
          Polygon[$CellContext`rll], 
          
          RotationTransform[(-$CellContext`theta$$) 
           Degree, $CellContext`p$$]], Red, 
         Line[{{0, 0}, $CellContext`p$$}], Red, 
         GeometricTransformation[
          Line[{{0, 0}, $CellContext`p$$}], 
          
          RotationTransform[(-$CellContext`theta$$) 
           Degree, $CellContext`p$$]]}, PlotRange -> {{-10, 10}, {-10, 10}}, 
        Frame -> True], 
      "Specifications" :> {{$CellContext`theta$$, 0, 360, 5, Appearance -> 
         "Labeled"}, {{$CellContext`p$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{579., {313., 321.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.604363187415902*^9, {3.604363271933013*^9, 3.604363300483285*^9}, 
   3.604363395329117*^9, 3.604363962100685*^9, 3.60440173653811*^9, 
   3.604404967428261*^9, {3.604405314684785*^9, 3.60440532627137*^9}, {
   3.6044056275369167`*^9, 3.60440563774553*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"THIS", " ", "NOTEBOOK", " ", 
  "IS"}], "\n", "\"\<Bard - Mathematica - Rotation Demo\>\"", "\
\[IndentingNewLine]", 
 RowBox[{"By", " ", 
  ButtonBox[
   RowBox[{"Ethan", " ", "Bloch"}],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
     None},
   ButtonNote->
    "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}], \
"Input",
 CellChangeTimes->{{3.604405309030018*^9, 3.6044053099275913`*^9}}]
},
WindowSize->{740, 867},
WindowMargins->{{341, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 3168, 89, 455, "Input"],
Cell[3750, 113, 2490, 51, 692, "Output"]
}, Open  ]],
Cell[6255, 167, 517, 14, 90, "Input"]
}
]
*)

(* End of internal cache information *)
